package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import javax.print.attribute.SupportedValuesAttribute;
import javax.print.attribute.SetOfIntegerSyntax;

public final class NumberUpSupported extends SetOfIntegerSyntax implements SupportedValuesAttribute
{
    private static final long serialVersionUID = -1041573395759141805L;
    
    public NumberUpSupported(int[][] members) {
        super(members);
        if (members == null) {
            throw new NullPointerException("members is null");
        }
        int[][] members2 = this.getMembers();
        int length = members2.length;
        if (length == 0) {
            throw new IllegalArgumentException("members is zero-length");
        }
        int i = 0;
        while (i < length) {
            if (members2[i][0] < 1) {
                throw new IllegalArgumentException("Number up value must be > 0");
            }
            ++i;
        }
        return;
    }
    
    public NumberUpSupported(int member) {
        super(member);
        if (member < 1) {
            throw new IllegalArgumentException("Number up value must be > 0");
        }
        return;
    }
    
    public NumberUpSupported(int lowerBound, int upperBound) {
        super(lowerBound, upperBound);
        if (lowerBound > upperBound) {
            throw new IllegalArgumentException("Null range specified");
        }
        if (lowerBound < 1) {
            throw new IllegalArgumentException("Number up value must be > 0");
        }
        return;
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof NumberUpSupported;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return NumberUpSupported.class;
    }
    
    @Override
    public final String getName() {
        return "number-up-supported";
    }
}
